Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  BricsCAD
  Problem mit der Split-Methode

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Problem mit der Split-Methode (590 mal gelesen)
Arcuso
Mitglied
Vermessung


Sehen Sie sich das Profil von Arcuso an!   Senden Sie eine Private Message an Arcuso  Schreiben Sie einen Gästebucheintrag für Arcuso

Beiträge: 70
Registriert: 25.07.2011

Windows 7/64 prof.
AutoCAD 2011
BricsCad v12

erstellt am: 29. Okt. 2014 16:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo !

Folgender Code zum horizontalen Teilen des Modelles funktioniert in AutoCAD (2011), BricsCAD (V12) verweigert jedoch und bringt die Meldung:

; error : Automation Error 80020009; [IAcadViewport] Error accessing [SPLIT] method. ErrIndex=0;

Code:
(defun C:VP-Split ()
  (setq do (vla-get-ActiveDocument (vlax-get-Acad-Object))
        vc (vla-get-Viewports do)
        cp (getvar "viewctr")
        vh (* (getvar "viewsize") 0.5)
  )
  (if (eq (getvar "ctab") "Model")
      (progn
        (setq nv (vla-Add vc "NewPort"))
        (vla-Split nv acViewport2Horizontal)
        (vla-put-ActiveViewport do nv)
        (vla-ZoomCenter (vlax-get-Acad-Object) (vlax-3d-point cp) vh)
        (setvar "cvport" (1+ (getvar "cvport")))
        (vla-ZoomCenter (vlax-get-Acad-Object) (vlax-3d-point '(0 0 0)) 10.0)
      )
  )
  (princ)
)

Habe die Methode auch mit -invoke probiert, leider erfolglos.
Bleibt also nur mehr die unpopuläre COMMAND-Funktion mit dem Befehl _VPORTS bzw. ist das Problem in einer der jüngeren Versionen bereits behoben ?

MfG
Arcuso

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1911
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 30. Okt. 2014 09:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Arcuso 10 Unities + Antwort hilfreich

unter der V12 waren viele vl* Funktionen noch nicht oder Fehlerhaft enthalten.
Versuch mal die V14 oder gar die V15

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Arcuso
Mitglied
Vermessung


Sehen Sie sich das Profil von Arcuso an!   Senden Sie eine Private Message an Arcuso  Schreiben Sie einen Gästebucheintrag für Arcuso

Beiträge: 70
Registriert: 25.07.2011

Windows 7/64 prof.
AutoCAD 2011
BricsCad v12

erstellt am: 30. Okt. 2014 11:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo !

Also in der Revisions-History bis V14.2.06 habe ich dazu kein Fix gefunden. In diesem Fall ist die Verwendung von COMMAND nicht tragisch, weil man die Ansicht zur Laufzeit einer Dialogbox nicht splittet und BricsCAD hat mit COMMAND auch so keine 'Brems-Probleme'.

Da ich mit der Software keine Auftrags-Arbeit mache und nur für den geplanten Firmen-Umstieg auf BricsCAD autonom entwickle, mir aber die Upgrades aus dem eigenen Säckel zahle, warte ich lieber, bis die Werkzeug-Paletten ähnlich ausgereift wie bei ACAD sind.
Die neue V15 hat bis jetzt ja recht gute Kritiken.

V.G.
Arcuso

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz